Bug 179093 - groupadd does not allow POSIX compliant group names
groupadd does not allow POSIX compliant group names
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: shadow-utils (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 07:36 EST by Markus Schöpflin
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-30 04:43:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Schöpflin 2006-01-27 07:36:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
groupadd rejects upper case characters in the group name.

# groupadd FOOBAR
groupadd: FOOBAR is a not a valid group name

IEEE Std 1003.1-2001 specifies that user and group names are composed of characters from the portable filename character set. The portable filename character set is defined as [a-z][A-Z][0-9][._-]. Therefore the group name is valid according to POSIX and I'm very surprised to find that groupadd doesn't accept this group name.


Version-Release number of selected component (if applicable):
shadow-utils-4.0.3-25.RHEL3

How reproducible:
Always

Steps to Reproduce:
1. groupadd FOOBAR
  

Actual Results:  groupadd: FOOBAR is a not a valid group name

Expected Results:  The group should be created.

Additional info:
Comment 1 Peter Vrabec 2006-01-30 04:43:29 EST
It's fixed in shadow-utils-4.0.3-26.RHEL3 in next update.

Note You need to log in before you can comment on or make changes to this bug.